.hero {
  position: relative;
  display: flex;
  align-content: center;
  align-items: center;
  flex-direction: row;
  background-color: var(--color-primary-bg);
  min-height: 300px;
  @include media-breakpoint-up(md) {
    min-height: 600px;
    padding-top: calc(var(--section-padding) * 2 + var(--header-height));
    padding-bottom: calc(var(--section-padding) * 2)
  }
  &.hero-gradient {
    background-image: linear-gradient(to right, var(--color-hero-gradient), var(--color-hero-gradient-2));
  }
  &.hero-fullscreen-desktop {
    @include media-breakpoint-up(md) {
      height: 100vh;
    }
  }
  &.hero-fullscreen-mobile {
    @include media-breakpoint-down(md) {
      height: 100vh;
    }
  }
  .hero-background-image {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top center;
  }
  .container {
    z-index: 1;
  }
  .hero-text {
    color: var(--color-primary-text);
    h1 {
      margin-bottom: 20px;
      color: inherit;
      font-weight: 600;
      font-size: 3rem;
    }
    p {
      color: inherit;
      font-weight: 400;
      font-size: 26px;
      line-height: 1.4;
    }
    &.hero-text-invert {
      color: var(--color-base-text);
      html[data-bs-theme="dark"] & {
        color: var(--color-base-text);
      }
    }
  }
  .hero-flair {
    margin-left: 10px;
    font-weight: 500;
    font-family: var(--font-family-monospace);
    font-size: 20px;
    color: var(--color-primary-bg);
  }
  .hero-image {
    img {
      max-width: 100%;
    }
  }
  .hero-buttons {
    margin-top: 20px;
    .btn {
      margin-top: 10px;
      @include media-breakpoint-down(sm) {
        padding: 0.375rem 0.75rem;
        font-size: 1rem;
      }
    }
  }
}

body.has-transparent-header {
  .hero {
    .hero-content {
      padding-top: (var(--section-padding) + var(--header-height)) / 2;
      @include media-breakpoint-up(md) {
        padding-top: (var(--section-padding) + var(--header-height));
      }
    }
  }
}